import java.util.Scanner;
public class Steigung {
  public static void main(String args[]) {
    double x1 = 4;
    double y1 = 2;
    
    double x2 = 6;
    double y2 = 7;
    
    Scanner input = new Scanner(System.in);
    
    System.out.print("X1 = ");
    if(input.hasNextDouble())  {
      x1 = input.nextDouble();
    }
    
    System.out.print("Y1 = ");
    if(input.hasNextDouble())  {
      y1 = input.nextDouble();
    }
    
    System.out.print("X2 = ");
    if(input.hasNextDouble())  {
      x2 = input.nextDouble();
    }
    
    System.out.print("Y2 = ");
    if(input.hasNextDouble())  {
      y2 = input.nextDouble();
    }
    
    
    
    System.out.println("Steigung: " + ((y2 - y1)/(x2 - x1)));
    
  }
}